MessageChangedEvent (JavaMail API documentation)
Date: 2016-12-03

javax.mail.event

## Class MessageChangedEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.mail.event.MailEvent
    - - javax.mail.event.MessageChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MessageChangedEvent
      extends MailEvent

  This class models Message change events.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ENVELOPE_CHANGED` The message's envelope (headers, but not body) changed.
    `static int` | `FLAGS_CHANGED` The message's flags changed.
    `protected Message` | `msg` The message that changed.
    `protected int` | `type` The event type.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageChangedEvent(java.lang.Object source, int type, Message msg)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(java.lang.Object listener)` Invokes the appropriate MessageChangedListener method.
    `Message` | `getMessage()` Return the changed Message.
    `int` | `getMessageChangeType()` Return the type of this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FLAGS_CHANGED

          public static final int FLAGS_CHANGED

      The message's flags changed.
      See Also:
        Constant Field Values

    - #### ENVELOPE_CHANGED

          public static final int ENVELOPE_CHANGED

      The message's envelope (headers, but not body) changed.
      See Also:
        Constant Field Values

    - #### type

          protected int type

      The event type.

    - #### msg

          protected transient Message msg

      The message that changed.

  - ### Constructor Detail

    - #### MessageChangedEvent

          public MessageChangedEvent(java.lang.Object source,
                             int type,
                             Message msg)

      Constructor.
      Parameters:
        `source` - The folder that owns the message
        `type` - The change type
        `msg` - The changed message

  - ### Method Detail

    - #### getMessageChangeType

          public int getMessageChangeType()

      Return the type of this event.
      Returns:
        type

    - #### getMessage

          public Message getMessage()

      Return the changed Message.
      Returns:
        the message

    - #### dispatch

          public void dispatch(java.lang.Object listener)

      Invokes the appropriate MessageChangedListener method.
      Specified by:
        `dispatch` in class `MailEvent`
      Parameters:
        `listener` - the listener to invoke on

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms< /a>.